/*===========================================================================*/
/*   (Llib/struct.scm)                                                       */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/struct.scm -indent -o objs/obj_s/Llib/struct.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___STRUCTURE_TYPE_DEFINITIONS
#define BGL___STRUCTURE_TYPE_DEFINITIONS
#endif // BGL___STRUCTURE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL obj_t BGl_structzd2refzd2zz__structurez00(obj_t, int);
static obj_t BGl_z62makezd2structzb0zz__structurez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__structurez00 = BUNSPEC;
static obj_t BGl_z62listzd2ze3structz53zz__structurez00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_structzd2lengthzd2zz__structurez00(obj_t);
static obj_t BGl_z62structzd2refzb0zz__structurez00(obj_t, obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_structzd2keyzd2zz__structurez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3structz31zz__structurez00(obj_t);
static obj_t BGl_z62structzd2keyzb0zz__structurez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__structurez00(void);
extern long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__structurez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__structurez00(void);
static obj_t BGl_z62structzd2lengthzb0zz__structurez00(obj_t, obj_t);
static obj_t BGl_z62structzd2updatez12za2zz__structurez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_recordzf3zf3zz__structurez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_structzd2setz12zc0zz__structurez00(obj_t, int, obj_t);
static obj_t BGl_z62recordzf3z91zz__structurez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2structzd2zz__structurez00(obj_t, int, obj_t);
BGL_EXPORTED_DECL bool_t BGl_structzf3zf3zz__structurez00(obj_t);
static obj_t BGl_z62structzf3z91zz__structurez00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62structzd2ze3listz53zz__structurez00(obj_t, obj_t);
extern obj_t make_struct(obj_t, int, obj_t);
BGL_EXPORTED_DECL obj_t BGl_structzd2keyzd2setz12z12zz__structurez00(obj_t, obj_t);
static obj_t BGl_z62structzd2keyzd2setz12z70zz__structurez00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1540z00zz__structurez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_structzd2ze3listz31zz__structurez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_structzd2updatez12zc0zz__structurez00(obj_t, obj_t);
static obj_t BGl_z62structzd2setz12za2zz__structurez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzd2lengthzd2envz00zz__structurez00, BgL_bgl_za762structza7d2leng1544z00, BGl_z62structzd2lengthzb0zz__structurez00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzd2setz12zd2envz12zz__structurez00, BgL_bgl_za762structza7d2setza71545za7, BGl_z62structzd2setz12za2zz__structurez00, 0L, BUNSPEC, 3);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_listzd2ze3structzd2envze3zz__structurez00, BgL_bgl_za762listza7d2za7e3str1546za7, BGl_z62listzd2ze3structz53zz__structurez00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzd2updatez12zd2envz12zz__structurez00, BgL_bgl_za762structza7d2upda1547z00, BGl_z62structzd2updatez12za2zz__structurez00, 0L, BUNSPEC, 2);
BGL_DEFINE_STRING(BGl_string1521z00zz__structurez00, BgL_bgl_string1521za700za7za7_1548za7, "/tmp/bigloo/runtime/Llib/struct.scm", 35 );
BGL_DEFINE_STRING(BGl_string1522z00zz__structurez00, BgL_bgl_string1522za700za7za7_1549za7, "&make-struct", 12 );
BGL_DEFINE_STRING(BGl_string1523z00zz__structurez00, BgL_bgl_string1523za700za7za7_1550za7, "symbol", 6 );
BGL_DEFINE_STRING(BGl_string1524z00zz__structurez00, BgL_bgl_string1524za700za7za7_1551za7, "bint", 4 );
BGL_DEFINE_STRING(BGl_string1525z00zz__structurez00, BgL_bgl_string1525za700za7za7_1552za7, "struct-key", 10 );
BGL_DEFINE_STRING(BGl_string1526z00zz__structurez00, BgL_bgl_string1526za700za7za7_1553za7, "&struct-key", 11 );
BGL_DEFINE_STRING(BGl_string1527z00zz__structurez00, BgL_bgl_string1527za700za7za7_1554za7, "struct", 6 );
BGL_DEFINE_STRING(BGl_string1528z00zz__structurez00, BgL_bgl_string1528za700za7za7_1555za7, "&struct-key-set!", 16 );
BGL_DEFINE_STRING(BGl_string1529z00zz__structurez00, BgL_bgl_string1529za700za7za7_1556za7, "&struct-length", 14 );
BGL_DEFINE_STRING(BGl_string1530z00zz__structurez00, BgL_bgl_string1530za700za7za7_1557za7, "&struct-ref", 11 );
BGL_DEFINE_STRING(BGl_string1531z00zz__structurez00, BgL_bgl_string1531za700za7za7_1558za7, "&struct-set!", 12 );
BGL_DEFINE_STRING(BGl_string1532z00zz__structurez00, BgL_bgl_string1532za700za7za7_1559za7, "struct-update!", 14 );
BGL_DEFINE_STRING(BGl_string1533z00zz__structurez00, BgL_bgl_string1533za700za7za7_1560za7, "Incompatible structures", 23 );
BGL_DEFINE_STRING(BGl_string1534z00zz__structurez00, BgL_bgl_string1534za700za7za7_1561za7, "&struct-update!", 15 );
BGL_DEFINE_STRING(BGl_string1535z00zz__structurez00, BgL_bgl_string1535za700za7za7_1562za7, "loop", 4 );
BGL_DEFINE_STRING(BGl_string1536z00zz__structurez00, BgL_bgl_string1536za700za7za7_1563za7, "&struct->list", 13 );
BGL_DEFINE_STRING(BGl_string1537z00zz__structurez00, BgL_bgl_string1537za700za7za7_1564za7, "list->struct", 12 );
BGL_DEFINE_STRING(BGl_string1538z00zz__structurez00, BgL_bgl_string1538za700za7za7_1565za7, "pair-nil", 8 );
BGL_DEFINE_STRING(BGl_string1539z00zz__structurez00, BgL_bgl_string1539za700za7za7_1566za7, "pair", 4 );
BGL_DEFINE_STRING(BGl_string1541z00zz__structurez00, BgL_bgl_string1541za700za7za7_1567za7, "Illegal struct key", 18 );
BGL_DEFINE_STRING(BGl_string1542z00zz__structurez00, BgL_bgl_string1542za700za7za7_1568za7, "&list->struct", 13 );
BGL_DEFINE_STRING(BGl_string1543z00zz__structurez00, BgL_bgl_string1543za700za7za7_1569za7, "__structure", 11 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2structzd2envz00zz__structurez00, BgL_bgl_za762makeza7d2struct1570z00, BGl_z62makezd2structzb0zz__structurez00, 0L, BUNSPEC, 3);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzf3zd2envz21zz__structurez00, BgL_bgl_za762structza7f3za791za71571z00, BGl_z62structzf3z91zz__structurez00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzd2ze3listzd2envze3zz__structurez00, BgL_bgl_za762structza7d2za7e3l1572za7, BGl_z62structzd2ze3listz53zz__structurez00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzd2refzd2envz00zz__structurez00, BgL_bgl_za762structza7d2refza71573za7, BGl_z62structzd2refzb0zz__structurez00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzd2keyzd2setz12zd2envzc0zz__structurez00, BgL_bgl_za762structza7d2keyza71574za7, BGl_z62structzd2keyzd2setz12z70zz__structurez00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_structzd2keyzd2envz00zz__structurez00, BgL_bgl_za762structza7d2keyza71575za7, BGl_z62structzd2keyzb0zz__structurez00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_recordzf3zd2envz21zz__structurez00, BgL_bgl_za762recordza7f3za791za71576z00, BGl_z62recordzf3z91zz__structurez00, 0L, BUNSPEC, 1);

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_PROCEDURE(BGl_recordzf3zd2envz21zz__structurez00, BgL_bgl_za762recordza7f3za791za71576z00);
BGL_BIND_PROCEDURE(BGl_structzd2keyzd2envz00zz__structurez00, BgL_bgl_za762structza7d2keyza71575za7);
BGL_BIND_PROCEDURE(BGl_structzd2keyzd2setz12zd2envzc0zz__structurez00, BgL_bgl_za762structza7d2keyza71574za7);
BGL_BIND_PROCEDURE(BGl_structzd2refzd2envz00zz__structurez00, BgL_bgl_za762structza7d2refza71573za7);
BGL_BIND_PROCEDURE(BGl_structzd2ze3listzd2envze3zz__structurez00, BgL_bgl_za762structza7d2za7e3l1572za7);
BGL_BIND_PROCEDURE(BGl_structzf3zd2envz21zz__structurez00, BgL_bgl_za762structza7f3za791za71571z00);
BGL_BIND_PROCEDURE(BGl_makezd2structzd2envz00zz__structurez00, BgL_bgl_za762makeza7d2struct1570z00);
BGL_BIND_STRING(BGl_string1543z00zz__structurez00, BgL_bgl_string1543za700za7za7_1569za7);
BGL_BIND_STRING(BGl_string1542z00zz__structurez00, BgL_bgl_string1542za700za7za7_1568za7);
BGL_BIND_STRING(BGl_string1541z00zz__structurez00, BgL_bgl_string1541za700za7za7_1567za7);
BGL_BIND_STRING(BGl_string1539z00zz__structurez00, BgL_bgl_string1539za700za7za7_1566za7);
BGL_BIND_STRING(BGl_string1538z00zz__structurez00, BgL_bgl_string1538za700za7za7_1565za7);
BGL_BIND_STRING(BGl_string1537z00zz__structurez00, BgL_bgl_string1537za700za7za7_1564za7);
BGL_BIND_STRING(BGl_string1536z00zz__structurez00, BgL_bgl_string1536za700za7za7_1563za7);
BGL_BIND_STRING(BGl_string1535z00zz__structurez00, BgL_bgl_string1535za700za7za7_1562za7);
BGL_BIND_STRING(BGl_string1534z00zz__structurez00, BgL_bgl_string1534za700za7za7_1561za7);
BGL_BIND_STRING(BGl_string1533z00zz__structurez00, BgL_bgl_string1533za700za7za7_1560za7);
BGL_BIND_STRING(BGl_string1532z00zz__structurez00, BgL_bgl_string1532za700za7za7_1559za7);
BGL_BIND_STRING(BGl_string1531z00zz__structurez00, BgL_bgl_string1531za700za7za7_1558za7);
BGL_BIND_STRING(BGl_string1530z00zz__structurez00, BgL_bgl_string1530za700za7za7_1557za7);
BGL_BIND_STRING(BGl_string1529z00zz__structurez00, BgL_bgl_string1529za700za7za7_1556za7);
BGL_BIND_STRING(BGl_string1528z00zz__structurez00, BgL_bgl_string1528za700za7za7_1555za7);
BGL_BIND_STRING(BGl_string1527z00zz__structurez00, BgL_bgl_string1527za700za7za7_1554za7);
BGL_BIND_STRING(BGl_string1526z00zz__structurez00, BgL_bgl_string1526za700za7za7_1553za7);
BGL_BIND_STRING(BGl_string1525z00zz__structurez00, BgL_bgl_string1525za700za7za7_1552za7);
BGL_BIND_STRING(BGl_string1524z00zz__structurez00, BgL_bgl_string1524za700za7za7_1551za7);
BGL_BIND_STRING(BGl_string1523z00zz__structurez00, BgL_bgl_string1523za700za7za7_1550za7);
BGL_BIND_STRING(BGl_string1522z00zz__structurez00, BgL_bgl_string1522za700za7za7_1549za7);
BGL_BIND_STRING(BGl_string1521z00zz__structurez00, BgL_bgl_string1521za700za7za7_1548za7);
BGL_BIND_PROCEDURE(BGl_structzd2updatez12zd2envz12zz__structurez00, BgL_bgl_za762structza7d2upda1547z00);
BGL_BIND_PROCEDURE(BGl_listzd2ze3structzd2envze3zz__structurez00, BgL_bgl_za762listza7d2za7e3str1546za7);
BGL_BIND_PROCEDURE(BGl_structzd2setz12zd2envz12zz__structurez00, BgL_bgl_za762structza7d2setza71545za7);
BGL_BIND_PROCEDURE(BGl_structzd2lengthzd2envz00zz__structurez00, BgL_bgl_za762structza7d2leng1544z00);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__structurez00) );
ADD_ROOT( (void *)(&BGl_symbol1540z00zz__structurez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long BgL_checksumz00_1261, char * BgL_fromz00_1262)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__structurez00))
{ 
BGl_requirezd2initializa7ationz75zz__structurez00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__structurez00(); 
BGl_cnstzd2initzd2zz__structurez00(); 
return 
BGl_importedzd2moduleszd2initz00zz__structurez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__structurez00(void)
{
{ /* Llib/struct.scm 18 */
return ( 
BGl_symbol1540z00zz__structurez00 = 
bstring_to_symbol(BGl_string1537z00zz__structurez00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__structurez00(void)
{
{ /* Llib/struct.scm 18 */
return 
bgl_gc_roots_register();} 

}



/* make-struct */
BGL_EXPORTED_DEF obj_t BGl_makezd2structzd2zz__structurez00(obj_t BgL_keyz00_3, int BgL_lenz00_4, obj_t BgL_initz00_5)
{
{ /* Llib/struct.scm 119 */
BGL_TAIL return 
make_struct(BgL_keyz00_3, BgL_lenz00_4, BgL_initz00_5);} 

}



/* &make-struct */
obj_t BGl_z62makezd2structzb0zz__structurez00(obj_t BgL_envz00_1186, obj_t BgL_keyz00_1187, obj_t BgL_lenz00_1188, obj_t BgL_initz00_1189)
{
{ /* Llib/struct.scm 119 */
{ /* Llib/struct.scm 120 */
 int BgL_auxz00_1280; obj_t BgL_auxz00_1273;
{ /* Llib/struct.scm 120 */
 obj_t BgL_tmpz00_1281;
if(
INTEGERP(BgL_lenz00_1188))
{ /* Llib/struct.scm 120 */
BgL_tmpz00_1281 = BgL_lenz00_1188
; }  else 
{ 
 obj_t BgL_auxz00_1284;
BgL_auxz00_1284 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(5088L), BGl_string1522z00zz__structurez00, BGl_string1524z00zz__structurez00, BgL_lenz00_1188); 
FAILURE(BgL_auxz00_1284,BFALSE,BFALSE);} 
BgL_auxz00_1280 = 
CINT(BgL_tmpz00_1281); } 
if(
SYMBOLP(BgL_keyz00_1187))
{ /* Llib/struct.scm 120 */
BgL_auxz00_1273 = BgL_keyz00_1187
; }  else 
{ 
 obj_t BgL_auxz00_1276;
BgL_auxz00_1276 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(5088L), BGl_string1522z00zz__structurez00, BGl_string1523z00zz__structurez00, BgL_keyz00_1187); 
FAILURE(BgL_auxz00_1276,BFALSE,BFALSE);} 
return 
BGl_makezd2structzd2zz__structurez00(BgL_auxz00_1273, BgL_auxz00_1280, BgL_initz00_1189);} } 

}



/* struct? */
BGL_EXPORTED_DEF bool_t BGl_structzf3zf3zz__structurez00(obj_t BgL_oz00_6)
{
{ /* Llib/struct.scm 125 */
return 
STRUCTP(BgL_oz00_6);} 

}



/* &struct? */
obj_t BGl_z62structzf3z91zz__structurez00(obj_t BgL_envz00_1190, obj_t BgL_oz00_1191)
{
{ /* Llib/struct.scm 125 */
return 
BBOOL(
BGl_structzf3zf3zz__structurez00(BgL_oz00_1191));} 

}



/* record? */
BGL_EXPORTED_DEF bool_t BGl_recordzf3zf3zz__structurez00(obj_t BgL_oz00_7)
{
{ /* Llib/struct.scm 131 */
return 
STRUCTP(BgL_oz00_7);} 

}



/* &record? */
obj_t BGl_z62recordzf3z91zz__structurez00(obj_t BgL_envz00_1192, obj_t BgL_oz00_1193)
{
{ /* Llib/struct.scm 131 */
return 
BBOOL(
BGl_recordzf3zf3zz__structurez00(BgL_oz00_1193));} 

}



/* struct-key */
BGL_EXPORTED_DEF obj_t BGl_structzd2keyzd2zz__structurez00(obj_t BgL_sz00_8)
{
{ /* Llib/struct.scm 137 */
{ /* Llib/struct.scm 138 */
 obj_t BgL_aux1481z00_1259;
BgL_aux1481z00_1259 = 
STRUCT_KEY(BgL_sz00_8); 
if(
SYMBOLP(BgL_aux1481z00_1259))
{ /* Llib/struct.scm 138 */
return BgL_aux1481z00_1259;}  else 
{ 
 obj_t BgL_auxz00_1299;
BgL_auxz00_1299 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(5907L), BGl_string1525z00zz__structurez00, BGl_string1523z00zz__structurez00, BgL_aux1481z00_1259); 
FAILURE(BgL_auxz00_1299,BFALSE,BFALSE);} } } 

}



/* &struct-key */
obj_t BGl_z62structzd2keyzb0zz__structurez00(obj_t BgL_envz00_1194, obj_t BgL_sz00_1195)
{
{ /* Llib/struct.scm 137 */
{ /* Llib/struct.scm 138 */
 obj_t BgL_auxz00_1303;
if(
STRUCTP(BgL_sz00_1195))
{ /* Llib/struct.scm 138 */
BgL_auxz00_1303 = BgL_sz00_1195
; }  else 
{ 
 obj_t BgL_auxz00_1306;
BgL_auxz00_1306 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(5907L), BGl_string1526z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_sz00_1195); 
FAILURE(BgL_auxz00_1306,BFALSE,BFALSE);} 
return 
BGl_structzd2keyzd2zz__structurez00(BgL_auxz00_1303);} } 

}



/* struct-key-set! */
BGL_EXPORTED_DEF obj_t BGl_structzd2keyzd2setz12z12zz__structurez00(obj_t BgL_sz00_9, obj_t BgL_kz00_10)
{
{ /* Llib/struct.scm 143 */
return 
STRUCT_KEY_SET(BgL_sz00_9, BgL_kz00_10);} 

}



/* &struct-key-set! */
obj_t BGl_z62structzd2keyzd2setz12z70zz__structurez00(obj_t BgL_envz00_1196, obj_t BgL_sz00_1197, obj_t BgL_kz00_1198)
{
{ /* Llib/struct.scm 143 */
{ /* Llib/struct.scm 144 */
 obj_t BgL_auxz00_1319; obj_t BgL_auxz00_1312;
if(
SYMBOLP(BgL_kz00_1198))
{ /* Llib/struct.scm 144 */
BgL_auxz00_1319 = BgL_kz00_1198
; }  else 
{ 
 obj_t BgL_auxz00_1322;
BgL_auxz00_1322 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(6187L), BGl_string1528z00zz__structurez00, BGl_string1523z00zz__structurez00, BgL_kz00_1198); 
FAILURE(BgL_auxz00_1322,BFALSE,BFALSE);} 
if(
STRUCTP(BgL_sz00_1197))
{ /* Llib/struct.scm 144 */
BgL_auxz00_1312 = BgL_sz00_1197
; }  else 
{ 
 obj_t BgL_auxz00_1315;
BgL_auxz00_1315 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(6187L), BGl_string1528z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_sz00_1197); 
FAILURE(BgL_auxz00_1315,BFALSE,BFALSE);} 
return 
BGl_structzd2keyzd2setz12z12zz__structurez00(BgL_auxz00_1312, BgL_auxz00_1319);} } 

}



/* struct-length */
BGL_EXPORTED_DEF int BGl_structzd2lengthzd2zz__structurez00(obj_t BgL_sz00_11)
{
{ /* Llib/struct.scm 149 */
return 
STRUCT_LENGTH(BgL_sz00_11);} 

}



/* &struct-length */
obj_t BGl_z62structzd2lengthzb0zz__structurez00(obj_t BgL_envz00_1199, obj_t BgL_sz00_1200)
{
{ /* Llib/struct.scm 149 */
{ /* Llib/struct.scm 150 */
 int BgL_tmpz00_1328;
{ /* Llib/struct.scm 150 */
 obj_t BgL_auxz00_1329;
if(
STRUCTP(BgL_sz00_1200))
{ /* Llib/struct.scm 150 */
BgL_auxz00_1329 = BgL_sz00_1200
; }  else 
{ 
 obj_t BgL_auxz00_1332;
BgL_auxz00_1332 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(6471L), BGl_string1529z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_sz00_1200); 
FAILURE(BgL_auxz00_1332,BFALSE,BFALSE);} 
BgL_tmpz00_1328 = 
BGl_structzd2lengthzd2zz__structurez00(BgL_auxz00_1329); } 
return 
BINT(BgL_tmpz00_1328);} } 

}



/* struct-ref */
BGL_EXPORTED_DEF obj_t BGl_structzd2refzd2zz__structurez00(obj_t BgL_sz00_12, int BgL_kz00_13)
{
{ /* Llib/struct.scm 155 */
return 
STRUCT_REF(BgL_sz00_12, BgL_kz00_13);} 

}



/* &struct-ref */
obj_t BGl_z62structzd2refzb0zz__structurez00(obj_t BgL_envz00_1201, obj_t BgL_sz00_1202, obj_t BgL_kz00_1203)
{
{ /* Llib/struct.scm 155 */
{ /* Llib/struct.scm 156 */
 int BgL_auxz00_1346; obj_t BgL_auxz00_1339;
{ /* Llib/struct.scm 156 */
 obj_t BgL_tmpz00_1347;
if(
INTEGERP(BgL_kz00_1203))
{ /* Llib/struct.scm 156 */
BgL_tmpz00_1347 = BgL_kz00_1203
; }  else 
{ 
 obj_t BgL_auxz00_1350;
BgL_auxz00_1350 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(6753L), BGl_string1530z00zz__structurez00, BGl_string1524z00zz__structurez00, BgL_kz00_1203); 
FAILURE(BgL_auxz00_1350,BFALSE,BFALSE);} 
BgL_auxz00_1346 = 
CINT(BgL_tmpz00_1347); } 
if(
STRUCTP(BgL_sz00_1202))
{ /* Llib/struct.scm 156 */
BgL_auxz00_1339 = BgL_sz00_1202
; }  else 
{ 
 obj_t BgL_auxz00_1342;
BgL_auxz00_1342 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(6753L), BGl_string1530z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_sz00_1202); 
FAILURE(BgL_auxz00_1342,BFALSE,BFALSE);} 
return 
BGl_structzd2refzd2zz__structurez00(BgL_auxz00_1339, BgL_auxz00_1346);} } 

}



/* struct-set! */
BGL_EXPORTED_DEF obj_t BGl_structzd2setz12zc0zz__structurez00(obj_t BgL_sz00_14, int BgL_kz00_15, obj_t BgL_oz00_16)
{
{ /* Llib/struct.scm 161 */
return 
STRUCT_SET(BgL_sz00_14, BgL_kz00_15, BgL_oz00_16);} 

}



/* &struct-set! */
obj_t BGl_z62structzd2setz12za2zz__structurez00(obj_t BgL_envz00_1204, obj_t BgL_sz00_1205, obj_t BgL_kz00_1206, obj_t BgL_oz00_1207)
{
{ /* Llib/struct.scm 161 */
{ /* Llib/struct.scm 162 */
 int BgL_auxz00_1364; obj_t BgL_auxz00_1357;
{ /* Llib/struct.scm 162 */
 obj_t BgL_tmpz00_1365;
if(
INTEGERP(BgL_kz00_1206))
{ /* Llib/struct.scm 162 */
BgL_tmpz00_1365 = BgL_kz00_1206
; }  else 
{ 
 obj_t BgL_auxz00_1368;
BgL_auxz00_1368 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(7034L), BGl_string1531z00zz__structurez00, BGl_string1524z00zz__structurez00, BgL_kz00_1206); 
FAILURE(BgL_auxz00_1368,BFALSE,BFALSE);} 
BgL_auxz00_1364 = 
CINT(BgL_tmpz00_1365); } 
if(
STRUCTP(BgL_sz00_1205))
{ /* Llib/struct.scm 162 */
BgL_auxz00_1357 = BgL_sz00_1205
; }  else 
{ 
 obj_t BgL_auxz00_1360;
BgL_auxz00_1360 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(7034L), BGl_string1531z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_sz00_1205); 
FAILURE(BgL_auxz00_1360,BFALSE,BFALSE);} 
return 
BGl_structzd2setz12zc0zz__structurez00(BgL_auxz00_1357, BgL_auxz00_1364, BgL_oz00_1207);} } 

}



/* struct-update! */
BGL_EXPORTED_DEF obj_t BGl_structzd2updatez12zc0zz__structurez00(obj_t BgL_dstz00_17, obj_t BgL_srcz00_18)
{
{ /* Llib/struct.scm 167 */
{ /* Llib/struct.scm 168 */
 bool_t BgL_test1591z00_1374;
{ /* Llib/struct.scm 168 */
 bool_t BgL_test1592z00_1375;
{ /* Llib/struct.scm 168 */
 obj_t BgL_auxz00_1384; obj_t BgL_tmpz00_1376;
{ /* Llib/struct.scm 168 */
 obj_t BgL_res1475z00_1083;
{ /* Llib/struct.scm 138 */
 obj_t BgL_aux1499z00_1236;
BgL_aux1499z00_1236 = 
STRUCT_KEY(BgL_srcz00_18); 
if(
SYMBOLP(BgL_aux1499z00_1236))
{ /* Llib/struct.scm 138 */
BgL_res1475z00_1083 = BgL_aux1499z00_1236; }  else 
{ 
 obj_t BgL_auxz00_1388;
BgL_auxz00_1388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(5907L), BGl_string1532z00zz__structurez00, BGl_string1523z00zz__structurez00, BgL_aux1499z00_1236); 
FAILURE(BgL_auxz00_1388,BFALSE,BFALSE);} } 
BgL_auxz00_1384 = BgL_res1475z00_1083; } 
{ /* Llib/struct.scm 168 */
 obj_t BgL_res1474z00_1081;
{ /* Llib/struct.scm 138 */
 obj_t BgL_aux1497z00_1234;
BgL_aux1497z00_1234 = 
STRUCT_KEY(BgL_dstz00_17); 
if(
SYMBOLP(BgL_aux1497z00_1234))
{ /* Llib/struct.scm 138 */
BgL_res1474z00_1081 = BgL_aux1497z00_1234; }  else 
{ 
 obj_t BgL_auxz00_1380;
BgL_auxz00_1380 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(5907L), BGl_string1532z00zz__structurez00, BGl_string1523z00zz__structurez00, BgL_aux1497z00_1234); 
FAILURE(BgL_auxz00_1380,BFALSE,BFALSE);} } 
BgL_tmpz00_1376 = BgL_res1474z00_1081; } 
BgL_test1592z00_1375 = 
(BgL_tmpz00_1376==BgL_auxz00_1384); } 
if(BgL_test1592z00_1375)
{ /* Llib/struct.scm 168 */
BgL_test1591z00_1374 = 
(
(long)(
STRUCT_LENGTH(BgL_dstz00_17))==
(long)(
STRUCT_LENGTH(BgL_srcz00_18)))
; }  else 
{ /* Llib/struct.scm 168 */
BgL_test1591z00_1374 = ((bool_t)0)
; } } 
if(BgL_test1591z00_1374)
{ /* Llib/struct.scm 170 */
 long BgL_g1012z00_763;
BgL_g1012z00_763 = 
(
(long)(
STRUCT_LENGTH(BgL_dstz00_17))-1L); 
{ 
 long BgL_iz00_765;
BgL_iz00_765 = BgL_g1012z00_763; 
BgL_zc3z04anonymousza31069ze3z87_766:
if(
(BgL_iz00_765==(-1L)))
{ /* Llib/struct.scm 171 */
return BgL_dstz00_17;}  else 
{ /* Llib/struct.scm 171 */
{ /* Llib/struct.scm 162 */
 obj_t BgL_auxz00_1405; int BgL_tmpz00_1403;
BgL_auxz00_1405 = 
STRUCT_REF(BgL_srcz00_18, 
(int)(BgL_iz00_765)); 
BgL_tmpz00_1403 = 
(int)(BgL_iz00_765); 
STRUCT_SET(BgL_dstz00_17, BgL_tmpz00_1403, BgL_auxz00_1405); } 
{ 
 long BgL_iz00_1409;
BgL_iz00_1409 = 
(BgL_iz00_765-1L); 
BgL_iz00_765 = BgL_iz00_1409; 
goto BgL_zc3z04anonymousza31069ze3z87_766;} } } }  else 
{ /* Llib/struct.scm 176 */
 obj_t BgL_arg1079z00_772;
{ /* Llib/struct.scm 176 */
 obj_t BgL_list1080z00_773;
{ /* Llib/struct.scm 176 */
 obj_t BgL_arg1081z00_774;
BgL_arg1081z00_774 = 
MAKE_YOUNG_PAIR(BgL_srcz00_18, BNIL); 
BgL_list1080z00_773 = 
MAKE_YOUNG_PAIR(BgL_dstz00_17, BgL_arg1081z00_774); } 
BgL_arg1079z00_772 = BgL_list1080z00_773; } 
return 
BGl_errorz00zz__errorz00(BGl_string1532z00zz__structurez00, BGl_string1533z00zz__structurez00, BgL_arg1079z00_772);} } } 

}



/* &struct-update! */
obj_t BGl_z62structzd2updatez12za2zz__structurez00(obj_t BgL_envz00_1208, obj_t BgL_dstz00_1209, obj_t BgL_srcz00_1210)
{
{ /* Llib/struct.scm 167 */
{ /* Llib/struct.scm 168 */
 obj_t BgL_auxz00_1421; obj_t BgL_auxz00_1414;
if(
STRUCTP(BgL_srcz00_1210))
{ /* Llib/struct.scm 168 */
BgL_auxz00_1421 = BgL_srcz00_1210
; }  else 
{ 
 obj_t BgL_auxz00_1424;
BgL_auxz00_1424 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(7315L), BGl_string1534z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_srcz00_1210); 
FAILURE(BgL_auxz00_1424,BFALSE,BFALSE);} 
if(
STRUCTP(BgL_dstz00_1209))
{ /* Llib/struct.scm 168 */
BgL_auxz00_1414 = BgL_dstz00_1209
; }  else 
{ 
 obj_t BgL_auxz00_1417;
BgL_auxz00_1417 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(7315L), BGl_string1534z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_dstz00_1209); 
FAILURE(BgL_auxz00_1417,BFALSE,BFALSE);} 
return 
BGl_structzd2updatez12zc0zz__structurez00(BgL_auxz00_1414, BgL_auxz00_1421);} } 

}



/* struct->list */
BGL_EXPORTED_DEF obj_t BGl_structzd2ze3listz31zz__structurez00(obj_t BgL_structz00_19)
{
{ /* Llib/struct.scm 181 */
{ /* Llib/struct.scm 182 */
 long BgL_g1013z00_780;
BgL_g1013z00_780 = 
(
(long)(
STRUCT_LENGTH(BgL_structz00_19))-1L); 
{ 
 long BgL_iz00_783; obj_t BgL_rz00_784;
BgL_iz00_783 = BgL_g1013z00_780; 
BgL_rz00_784 = BNIL; 
BgL_zc3z04anonymousza31090ze3z87_785:
if(
(BgL_iz00_783==(-1L)))
{ /* Llib/struct.scm 185 */
 obj_t BgL_arg1092z00_787;
{ /* Llib/struct.scm 185 */
 obj_t BgL_res1477z00_1101;
{ /* Llib/struct.scm 138 */
 obj_t BgL_aux1505z00_1242;
BgL_aux1505z00_1242 = 
STRUCT_KEY(BgL_structz00_19); 
if(
SYMBOLP(BgL_aux1505z00_1242))
{ /* Llib/struct.scm 138 */
BgL_res1477z00_1101 = BgL_aux1505z00_1242; }  else 
{ 
 obj_t BgL_auxz00_1437;
BgL_auxz00_1437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(5907L), BGl_string1535z00zz__structurez00, BGl_string1523z00zz__structurez00, BgL_aux1505z00_1242); 
FAILURE(BgL_auxz00_1437,BFALSE,BFALSE);} } 
BgL_arg1092z00_787 = BgL_res1477z00_1101; } 
return 
MAKE_YOUNG_PAIR(BgL_arg1092z00_787, BgL_rz00_784);}  else 
{ /* Llib/struct.scm 186 */
 long BgL_arg1096z00_788; obj_t BgL_arg1097z00_789;
BgL_arg1096z00_788 = 
(BgL_iz00_783-1L); 
BgL_arg1097z00_789 = 
MAKE_YOUNG_PAIR(
STRUCT_REF(BgL_structz00_19, 
(int)(BgL_iz00_783)), BgL_rz00_784); 
{ 
 obj_t BgL_rz00_1447; long BgL_iz00_1446;
BgL_iz00_1446 = BgL_arg1096z00_788; 
BgL_rz00_1447 = BgL_arg1097z00_789; 
BgL_rz00_784 = BgL_rz00_1447; 
BgL_iz00_783 = BgL_iz00_1446; 
goto BgL_zc3z04anonymousza31090ze3z87_785;} } } } } 

}



/* &struct->list */
obj_t BGl_z62structzd2ze3listz53zz__structurez00(obj_t BgL_envz00_1211, obj_t BgL_structz00_1212)
{
{ /* Llib/struct.scm 181 */
{ /* Llib/struct.scm 182 */
 obj_t BgL_auxz00_1448;
if(
STRUCTP(BgL_structz00_1212))
{ /* Llib/struct.scm 182 */
BgL_auxz00_1448 = BgL_structz00_1212
; }  else 
{ 
 obj_t BgL_auxz00_1451;
BgL_auxz00_1451 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(7906L), BGl_string1536z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_structz00_1212); 
FAILURE(BgL_auxz00_1451,BFALSE,BFALSE);} 
return 
BGl_structzd2ze3listz31zz__structurez00(BgL_auxz00_1448);} } 

}



/* list->struct */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3structz31zz__structurez00(obj_t BgL_lstz00_20)
{
{ /* Llib/struct.scm 191 */
{ /* Llib/struct.scm 195 */
 bool_t BgL_test1601z00_1456;
{ /* Llib/struct.scm 195 */
 obj_t BgL_tmpz00_1457;
BgL_tmpz00_1457 = 
CAR(BgL_lstz00_20); 
BgL_test1601z00_1456 = 
SYMBOLP(BgL_tmpz00_1457); } 
if(BgL_test1601z00_1456)
{ /* Llib/struct.scm 198 */
 long BgL_lenz00_796;
{ /* Llib/struct.scm 198 */
 obj_t BgL_auxz00_1460;
{ /* Llib/struct.scm 198 */
 obj_t BgL_aux1509z00_1246;
BgL_aux1509z00_1246 = 
CDR(BgL_lstz00_20); 
{ /* Llib/struct.scm 198 */
 bool_t BgL_test1602z00_1462;
if(
PAIRP(BgL_aux1509z00_1246))
{ /* Llib/struct.scm 198 */
BgL_test1602z00_1462 = ((bool_t)1)
; }  else 
{ /* Llib/struct.scm 198 */
BgL_test1602z00_1462 = 
NULLP(BgL_aux1509z00_1246)
; } 
if(BgL_test1602z00_1462)
{ /* Llib/struct.scm 198 */
BgL_auxz00_1460 = BgL_aux1509z00_1246
; }  else 
{ 
 obj_t BgL_auxz00_1466;
BgL_auxz00_1466 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(8541L), BGl_string1537z00zz__structurez00, BGl_string1538z00zz__structurez00, BgL_aux1509z00_1246); 
FAILURE(BgL_auxz00_1466,BFALSE,BFALSE);} } } 
BgL_lenz00_796 = 
bgl_list_length(BgL_auxz00_1460); } 
{ /* Llib/struct.scm 198 */
 obj_t BgL_structz00_797;
{ /* Llib/struct.scm 199 */
 obj_t BgL_arg1118z00_808;
BgL_arg1118z00_808 = 
CAR(BgL_lstz00_20); 
{ /* Llib/struct.scm 199 */
 obj_t BgL_keyz00_1108; int BgL_lenz00_1109;
if(
SYMBOLP(BgL_arg1118z00_808))
{ /* Llib/struct.scm 199 */
BgL_keyz00_1108 = BgL_arg1118z00_808; }  else 
{ 
 obj_t BgL_auxz00_1474;
BgL_auxz00_1474 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(8589L), BGl_string1537z00zz__structurez00, BGl_string1523z00zz__structurez00, BgL_arg1118z00_808); 
FAILURE(BgL_auxz00_1474,BFALSE,BFALSE);} 
BgL_lenz00_1109 = 
(int)(BgL_lenz00_796); 
BgL_structz00_797 = 
make_struct(BgL_keyz00_1108, BgL_lenz00_1109, BUNSPEC); } } 
{ /* Llib/struct.scm 199 */

{ /* Llib/struct.scm 200 */
 obj_t BgL_g1015z00_798;
BgL_g1015z00_798 = 
CDR(BgL_lstz00_20); 
{ 
 long BgL_iz00_1117; obj_t BgL_lz00_1118;
BgL_iz00_1117 = 0L; 
BgL_lz00_1118 = BgL_g1015z00_798; 
BgL_loopz00_1116:
if(
NULLP(BgL_lz00_1118))
{ /* Llib/struct.scm 202 */
return BgL_structz00_797;}  else 
{ /* Llib/struct.scm 202 */
{ /* Llib/struct.scm 205 */
 obj_t BgL_arg1115z00_1120;
{ /* Llib/struct.scm 205 */
 obj_t BgL_pairz00_1121;
if(
PAIRP(BgL_lz00_1118))
{ /* Llib/struct.scm 205 */
BgL_pairz00_1121 = BgL_lz00_1118; }  else 
{ 
 obj_t BgL_auxz00_1485;
BgL_auxz00_1485 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(8726L), BGl_string1535z00zz__structurez00, BGl_string1539z00zz__structurez00, BgL_lz00_1118); 
FAILURE(BgL_auxz00_1485,BFALSE,BFALSE);} 
BgL_arg1115z00_1120 = 
CAR(BgL_pairz00_1121); } 
{ /* Llib/struct.scm 162 */
 int BgL_tmpz00_1490;
BgL_tmpz00_1490 = 
(int)(BgL_iz00_1117); 
STRUCT_SET(BgL_structz00_797, BgL_tmpz00_1490, BgL_arg1115z00_1120); } } 
{ /* Llib/struct.scm 206 */
 long BgL_arg1116z00_1124; obj_t BgL_arg1117z00_1125;
BgL_arg1116z00_1124 = 
(BgL_iz00_1117+1L); 
{ /* Llib/struct.scm 206 */
 obj_t BgL_pairz00_1127;
if(
PAIRP(BgL_lz00_1118))
{ /* Llib/struct.scm 206 */
BgL_pairz00_1127 = BgL_lz00_1118; }  else 
{ 
 obj_t BgL_auxz00_1496;
BgL_auxz00_1496 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(8757L), BGl_string1535z00zz__structurez00, BGl_string1539z00zz__structurez00, BgL_lz00_1118); 
FAILURE(BgL_auxz00_1496,BFALSE,BFALSE);} 
BgL_arg1117z00_1125 = 
CDR(BgL_pairz00_1127); } 
{ 
 obj_t BgL_lz00_1502; long BgL_iz00_1501;
BgL_iz00_1501 = BgL_arg1116z00_1124; 
BgL_lz00_1502 = BgL_arg1117z00_1125; 
BgL_lz00_1118 = BgL_lz00_1502; 
BgL_iz00_1117 = BgL_iz00_1501; 
goto BgL_loopz00_1116;} } } } } } } }  else 
{ /* Llib/struct.scm 196 */
 obj_t BgL_arg1121z00_810;
BgL_arg1121z00_810 = 
CAR(BgL_lstz00_20); 
{ /* Llib/struct.scm 196 */
 obj_t BgL_aux1517z00_1254;
BgL_aux1517z00_1254 = 
BGl_errorz00zz__errorz00(BGl_symbol1540z00zz__structurez00, BGl_string1541z00zz__structurez00, BgL_arg1121z00_810); 
if(
STRUCTP(BgL_aux1517z00_1254))
{ /* Llib/struct.scm 196 */
return BgL_aux1517z00_1254;}  else 
{ 
 obj_t BgL_auxz00_1507;
BgL_auxz00_1507 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(8448L), BGl_string1537z00zz__structurez00, BGl_string1527z00zz__structurez00, BgL_aux1517z00_1254); 
FAILURE(BgL_auxz00_1507,BFALSE,BFALSE);} } } } } 

}



/* &list->struct */
obj_t BGl_z62listzd2ze3structz53zz__structurez00(obj_t BgL_envz00_1213, obj_t BgL_lstz00_1214)
{
{ /* Llib/struct.scm 191 */
{ /* Llib/struct.scm 195 */
 obj_t BgL_auxz00_1511;
if(
PAIRP(BgL_lstz00_1214))
{ /* Llib/struct.scm 195 */
BgL_auxz00_1511 = BgL_lstz00_1214
; }  else 
{ 
 obj_t BgL_auxz00_1514;
BgL_auxz00_1514 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1521z00zz__structurez00, 
BINT(8414L), BGl_string1542z00zz__structurez00, BGl_string1539z00zz__structurez00, BgL_lstz00_1214); 
FAILURE(BgL_auxz00_1514,BFALSE,BFALSE);} 
return 
BGl_listzd2ze3structz31zz__structurez00(BgL_auxz00_1511);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__structurez00(void)
{
{ /* Llib/struct.scm 18 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1543z00zz__structurez00));} 

}

#ifdef __cplusplus
}
#endif
